package com.eyeblinkdetect.eye_blink_detection

import android.app.Activity
import android.widget.Toast
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar

class EyeBlinkDetectionPlugin(var activity: Activity,methodChannel: MethodChannel): MethodCallHandler {
  companion object {
    @JvmStatic
    fun registerWith(registrar: Registrar) {
      val channel = MethodChannel(registrar.messenger(), "eye_blink_detection")
      channel.setMethodCallHandler(EyeBlinkDetectionPlugin(registrar.activity(),channel))
    }
  }




  override fun onMethodCall(call: MethodCall, result: Result) {
    if (call.method == "getPlatformVersion") {
      result.success("Android ${android.os.Build.VERSION.RELEASE}")
    } else if (call.method == "eyeBlinkDetection") {
        initiateEyeBlinkDetection()
    } else {
      result.notImplemented()
    }
  }

  fun initiateEyeBlinkDetection(){
    var intent = android.content.Intent(activity,FaceTrackerActivity::class.java)
    activity.startActivity(intent)
  }

}
