import Flutter
import UIKit

public class SwiftEyeBlinkDetectionPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "eye_blink_detection", binaryMessenger: registrar.messenger())
    let instance = SwiftEyeBlinkDetectionPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult)
  {
    if call.method == "getPlatformVersion" {
        result("iOS " + UIDevice.current.systemVersion)
    } else if call.method == "eyeBlinkDetection" {
        
        if let viewController = UIApplication.shared.delegate?.window??.rootViewController as? FlutterViewController {
        
            let storyboard = (UIStoryboard.init(name: "Pod_Main", bundle: Bundle.main))
            
            if #available(iOS 11.0, *) {
                if let vc = storyboard.instantiateViewController(withIdentifier: "ObjectVC") as? ObjectVC {
                    viewController.navigationController?.pushViewController(vc, animated: true)
                }
            } else {
                // Fallback on earlier versions
            }
        }
        
        
        
    }

  }
}
